*:*********************************************************************
*:
*:        Program: FOXCOLOR.PRG
*:
*:         System: Change the color of your FoxPro sign-on screen
*:         Author: Fox Software, Inc.
*:      Copyright (c) 1989, 1990 Fox Software, Inc.
*:  Last modified: 04/29/90     13:23
*:
*:     	Notes:	This program changes the colors of the letters
*:     		in the FoxPro sign-on graphic.  It uses a series
*:     		of fill commands to "paint" the screen in different
*:     		colors.  This program is for color monitors only, and
*:     		is designed for the default FoxPro color set.  If you
*:     		use a different default color set, adjust the second
*:     		color in the color pair of each FILL command.  Placing 
*:     		the line COMMAND = DO FOXCOLOR in your CONFIG.FP 
*:     		configuration file will automatically change your
*:     		sign-on screen colors upon start up.           
*:
*:      Documented 04/29/90 at 13:28               FoxDoc  version 2.0
*:*********************************************************************

@ 5,1  FILL TO 8,16  COLOR N/B		&&  /B in each fill command   	
@ 9,1  FILL TO 15,8  COLOR N/B		&&  for a blue background 		
@ 9,10 FILL TO 15,22 COLOR B+/B		&&  (the FoxPro default)
@ 9,23 FILL TO 15,35 COLOR G/B		&&  - adjust as necessary!
@ 5,36 FILL TO 15,50 COLOR GR+/B	
@ 9,51 FILL TO 15,63 COLOR R/B		
@ 9,64 FILL TO 15,78 COLOR R+/B		
@ 16,7 FILL TO 17,71 COLOR BG/B
*: EOF: FOXCOLOR.PRG